Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZContentClassPackageCreator Class Reference
The package manager system

A package creator for content classes. More...

Inheritance diagram for eZContentClassPackageCreator:

## Public Member Functions
| __construct ( $id)
| finalize (&$package, $http, &$persistentData)
| packageInitialState ( $package, &$persistentData)
| packageType ( $package, &$persistentData)
| initializeClassData ( $package, $http, $step, &$persistentData, $tpl)
| validateClassData ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitClassData ( $package, $http, $step, &$persistentData, $tpl)
| generatePackageInformation (&$packageInformation, $package, $http, $step, &$persistentData)
Public Member Functions inherited from eZPackageCreationHandler
| __construct ( $id, $name, $steps)
| generateStepMap ( $package, &$persistentData)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| initializeStepMethodMap ()
| loadStepMethodMap ()
| validateStepMethodMap ()
| commitStepMethodMap ()
& | stepMap ()
| stepTemplate ( $step)
| initializeStep ( $package, $http, $step, &$persistentData, $tpl)
| loadStep ( $package, $http, $currentStepID, &$persistentData, $tpl, &$module)
| validateStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| validateAndAdvanceStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitStep ( $package, $http, $step, &$persistentData, $tpl)
| packageInstallType ( $package, &$persistentData)
| initialChangelogEntry ( $package, $http, $step, &$persistentData, $tpl)
| createPackage (&$package, $http, &$persistentData, &$cleanupFiles, $storePackage=true)
| initializePackageInformation ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageInformation ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageInformation ( $package, $http, $step, &$persistentData, $tpl)
| initializePackageChangelog ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageChangelog ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageChangelog ( $package, $http, $step, &$persistentData, $tpl)
| initializePackageMaintainer ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageMaintainer ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageMaintainer ( $package, $http, $step, &$persistentData, $tpl)
| checkPackageMaintainer ( $package, &$persistentData)
| initializePackageThumbnail ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageThumbnail ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageThumbnail ( $package, $http, $step, &$persistentData, $tpl)

## Additional Inherited Members
Static Public Member Functions inherited from eZPackageCreationHandler
static | creatorLimitationList ()
static & | creatorList ( $checkRoles=false)
static | instance ( $handlerName)
| packageInformationStep ()
| packageMaintainerStep ()
| packageChangelogStep ()
| packageThumbnailStep ()
static | httpFileIsImage ( $httpFileName, &$errorList)
static | appendLicence ( $package)
Public Attributes inherited from eZPackageCreationHandler
| $Attributes
| $InitializeStepMethodMap
| $ValidateStepMethodMap
| $CommitStepMethodMap
| $LoadStepMethodMap
| $StepMap

## Detailed Description

A package creator for content classes.

Definition at line 18 of file ezcontentclasspackagecreator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContentClassPackageCreator::__construct | ( |  | $id | ) |

Definition at line 20 of file ezcontentclasspackagecreator.php.

References eZPackageCreationHandler\packageChangelogStep(), eZPackageCreationHandler\packageInformationStep(), eZPackageCreationHandler\packageMaintainerStep(), and ezpI18n\tr().

## Member Function Documentation

## ◆ commitClassData()

eZContentClassPackageCreator::commitClassData | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 93 of file ezcontentclasspackagecreator.php.

## ◆ finalize()

eZContentClassPackageCreator::finalize | ( | & | $package,
|  |  | $http,
|  | & | $persistentData
| ) |  |

Creates the package and adds the selected content classes.

Reimplemented from eZPackageCreationHandler.

Definition at line 38 of file ezcontentclasspackagecreator.php.

References eZPackageCreationHandler\createPackage(), and eZPackage\packageHandler().

## ◆ generatePackageInformation()

eZContentClassPackageCreator::generatePackageInformation | ( | & | $packageInformation,
|  |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData
| ) |  |

Fetches the selected content classes and generates a name, summary and description from the selection.

Reimplemented from eZPackageCreationHandler.

Definition at line 100 of file ezcontentclasspackagecreator.php.

References eZContentClass\fetch().

## ◆ initializeClassData()

eZContentClassPackageCreator::initializeClassData | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 68 of file ezcontentclasspackagecreator.php.

## ◆ packageInitialState()

eZContentClassPackageCreator::packageInitialState | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns `'stable'`, content class packages are always stable.

Reimplemented from eZPackageCreationHandler.

Definition at line 55 of file ezcontentclasspackagecreator.php.

## ◆ packageType()

eZContentClassPackageCreator::packageType | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns
  `'contentclass'`.

Reimplemented from eZPackageCreationHandler.

Definition at line 63 of file ezcontentclasspackagecreator.php.

## ◆ validateClassData()

eZContentClassPackageCreator::validateClassData | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Checks if at least one content class has been selected.

Definition at line 75 of file ezcontentclasspackagecreator.php.

References ezpI18n\tr().

The documentation for this class was generated from the following file:

- ezcontentclasspackagecreator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.